<?php

$weight_loss_center_tp_theme_css = '';

//theme-color
$weight_loss_center_tp_color_option = get_theme_mod('weight_loss_center_tp_color_option');
// 1st color
$weight_loss_center_tp_color_option = get_theme_mod('weight_loss_center_tp_color_option', '#BDE800');
if ($weight_loss_center_tp_color_option) {
	$weight_loss_center_tp_theme_css .= ':root {';
	$weight_loss_center_tp_theme_css .= '--color-primary1: ' . esc_attr($weight_loss_center_tp_color_option) . ';';
	$weight_loss_center_tp_theme_css .= '}';
}
//preloader

$weight_loss_center_tp_preloader_color1_option = get_theme_mod('weight_loss_center_tp_preloader_color1_option');
$weight_loss_center_tp_preloader_color2_option = get_theme_mod('weight_loss_center_tp_preloader_color2_option');
$weight_loss_center_tp_preloader_bg_color_option = get_theme_mod('weight_loss_center_tp_preloader_bg_color_option');

if($weight_loss_center_tp_preloader_color1_option != false){
$weight_loss_center_tp_theme_css .='.center1{';
	$weight_loss_center_tp_theme_css .='border-color: '.esc_attr($weight_loss_center_tp_preloader_color1_option).' !important;';
$weight_loss_center_tp_theme_css .='}';
}
if($weight_loss_center_tp_preloader_color1_option != false){
$weight_loss_center_tp_theme_css .='.center1 .ring::before{';
	$weight_loss_center_tp_theme_css .='background: '.esc_attr($weight_loss_center_tp_preloader_color1_option).' !important;';
$weight_loss_center_tp_theme_css .='}';
}
if($weight_loss_center_tp_preloader_color2_option != false){
$weight_loss_center_tp_theme_css .='.center2{';
	$weight_loss_center_tp_theme_css .='border-color: '.esc_attr($weight_loss_center_tp_preloader_color2_option).' !important;';
$weight_loss_center_tp_theme_css .='}';
}
if($weight_loss_center_tp_preloader_color2_option != false){
$weight_loss_center_tp_theme_css .='.center2 .ring::before{';
	$weight_loss_center_tp_theme_css .='background: '.esc_attr($weight_loss_center_tp_preloader_color2_option).' !important;';
$weight_loss_center_tp_theme_css .='}';
}
if($weight_loss_center_tp_preloader_bg_color_option != false){
$weight_loss_center_tp_theme_css .='.loader{';
	$weight_loss_center_tp_theme_css .='background: '.esc_attr($weight_loss_center_tp_preloader_bg_color_option).';';
$weight_loss_center_tp_theme_css .='}';
}

// footer-bg-color
$weight_loss_center_tp_footer_bg_color_option = get_theme_mod('weight_loss_center_tp_footer_bg_color_option');

if($weight_loss_center_tp_footer_bg_color_option != false){
$weight_loss_center_tp_theme_css .='#footer{';
	$weight_loss_center_tp_theme_css .='background: '.esc_attr($weight_loss_center_tp_footer_bg_color_option).' !important;';
$weight_loss_center_tp_theme_css .='}';
}

// logo tagline color
$weight_loss_center_site_tagline_color = get_theme_mod('weight_loss_center_site_tagline_color');

if($weight_loss_center_site_tagline_color != false){
$weight_loss_center_tp_theme_css .='.logo h1 a, .logo p a{';
$weight_loss_center_tp_theme_css .='color: '.esc_attr($weight_loss_center_site_tagline_color).';';
$weight_loss_center_tp_theme_css .='}';
}

$weight_loss_center_logo_tagline_color = get_theme_mod('weight_loss_center_logo_tagline_color');
if($weight_loss_center_logo_tagline_color != false){
$weight_loss_center_tp_theme_css .='p.site-description{';
$weight_loss_center_tp_theme_css .='color: '.esc_attr($weight_loss_center_logo_tagline_color).';';
$weight_loss_center_tp_theme_css .='}';
}

// footer widget title color
$weight_loss_center_footer_widget_title_color = get_theme_mod('weight_loss_center_footer_widget_title_color');
if($weight_loss_center_footer_widget_title_color != false){
$weight_loss_center_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$weight_loss_center_tp_theme_css .='color: '.esc_attr($weight_loss_center_footer_widget_title_color).';';
$weight_loss_center_tp_theme_css .='}';
}

// copyright text color
$weight_loss_center_footer_copyright_text_color = get_theme_mod('weight_loss_center_footer_copyright_text_color');
if($weight_loss_center_footer_copyright_text_color != false){
$weight_loss_center_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$weight_loss_center_tp_theme_css .='color: '.esc_attr($weight_loss_center_footer_copyright_text_color).';';
$weight_loss_center_tp_theme_css .='}';
}

// header image title color
$weight_loss_center_header_image_title_text_color = get_theme_mod('weight_loss_center_header_image_title_text_color');
if($weight_loss_center_header_image_title_text_color != false){
$weight_loss_center_tp_theme_css .='.box-text h2{';
$weight_loss_center_tp_theme_css .='color: '.esc_attr($weight_loss_center_header_image_title_text_color).';';
$weight_loss_center_tp_theme_css .='}';
}

// menu color
$weight_loss_center_menu_color = get_theme_mod('weight_loss_center_menu_color');
if($weight_loss_center_menu_color != false){
$weight_loss_center_tp_theme_css .='.main-navigation a{';
$weight_loss_center_tp_theme_css .='color: '.esc_attr($weight_loss_center_menu_color).';';
$weight_loss_center_tp_theme_css .='}';
}
